print("Executing PDMgr Blade\n");

copyLogFiles();
copyDBFiles();
copyConfFiles();
genAndCopyCoreFiles();

sub copyLogFiles
{
  if($^O eq "MSWin32")
  {
    system("copy \"$PDBASE_VAR\\log\\ivmgrd.log\" \"$OUTPUT_DIR\\log\" 1>$NULL_DEVICE 2>&1");
  }
  else
  {
    system("cp /var/PolicyDirector/log/ivmgrd.log $OUTPUT_DIR/log/ 1>$NULL_DEVICE 2>&1");
  }
}

sub copyDBFiles()
{
  if($^O eq "MSWin32")
  {
    system("copy \"$PDBASE_VAR\\db\\master_authzn.db\" \"$OUTPUT_DIR\\db\\\" 1>$NULL_DEVICE 2>&1");
  }
  else
  {
    system("cp /var/PolicyDirector/db/master_authzn.db $OUTPUT_DIR/db/ 1>$NULL_DEVICE 2>&1");
  }
}

sub copyConfFiles()
{
  if($^O eq "MSWin32")
  {
    system("copy \"$PDBASE_VAR\\etc\\ivmgrd.conf\" \"$OUTPUT_DIR\\conf\\\" 1>$NULL_DEVICE 2>&1");
  }
  else
  {
    system("cp /opt/PolicyDirector/etc/ivmgrd.conf $OUTPUT_DIR/conf/  1>$NULL_DEVICE 2>&1");
  }
}

sub genAndCopyCoreFiles()
{
  if(! ($^O eq "MSWin32") )
  {
    system("cp /opt/PolicyDirector/core $OUTPUT_DIR/core/ivmgrd.core.old  1>$NULL_DEVICE 2>&1");
    system("rm /opt/PolicyDirector/core 2>> $OUTPUT_DIR/$ERROR_FILE 1>$NULL_DEVICE 2>&1");
    $PDMGRD_PID = `cat /var/PolicyDirector/log/ivmgrd.pid`;
    if( $PDD_PID > 1 && kill(0, $PDD_PID)>0 )
    {
      kill("SIGABRT",$PDD_PID); 
      system("cp /opt/PolicyDirector/core $OUTPUT_DIR/core/ivmgrd.core  1>$NULL_DEVICE 2>&1");
      system("rm /opt/PolicyDirector/core 2>> $OUTPUT_DIR/$ERROR_FILE 1>$NULL_DEVICE 2>&1");
      system("/opt/PolicyDirector/pd_start start 2>> $OUTPUT_DIR/$ERROR_FILE 1>$NULL_DEVICE 2>&1");
    }
  }
}
