/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _AZN_SVC_PROTOS_H
#define _AZN_SVC_PROTOS_H

#ifdef _WIN32
#undef AZN_DECLSPEC
#define AZN_DECLSPEC    __declspec(dllexport)
#else
#undef AZN_DECLSPEC
#define AZN_DECLSPEC
#endif

#ifdef __cplusplus
extern "C" {
#endif

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_service_initialize(
  int                   argc,
  char                  **argv,
  azn_attrlist_h_t      svcInit,
  azn_attrlist_h_t      *svcInfo
);

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_service_shutdown(
  int                   argc,
  char                  **argv,
  azn_attrlist_h_t      svcInit,
  azn_attrlist_h_t      *svcInfo
);

#ifdef __cplusplus
}
#endif

#endif /* _AZN_SVC_PROTOS_H */

